import { ComponentType } from 'react';
declare const warn: (name: string, alternative?: string) => void;
declare const withDeprecated: <P extends object>(Component: ComponentType<P>, { name, alternative }: {
    name: string;
    alternative?: string;
}) => (props: P) => import("react/jsx-runtime").JSX.Element;
export { warn, withDeprecated };
